#ifndef OPTION_ASDL_H
#define OPTION_ASDL_H

namespace option_asdl {

#define ASDL_NAMES struct
ASDL_NAMES option_i {
  enum no_name {
  errexit = 1,
  nounset = 2,
  pipefail = 3,
  inherit_errexit = 4,
  nullglob = 5,
  verbose_errexit = 6,
  noexec = 7,
  xtrace = 8,
  verbose = 9,
  noglob = 10,
  noclobber = 11,
  errtrace = 12,
  posix = 13,
  vi = 14,
  emacs = 15,
  interactive = 16,
  hashall = 17,
  failglob = 18,
  extglob = 19,
  nocasematch = 20,
  eval_unsafe_arith = 21,
  _allow_command_sub = 22,
  _allow_process_sub = 23,
  dynamic_scope = 24,
  redefine_module = 25,
  _running_trap = 26,
  _running_hay = 27,
  _no_debug_trap = 28,
  _no_err_trap = 29,
  strict_argv = 30,
  strict_arith = 31,
  strict_array = 32,
  strict_control_flow = 33,
  strict_errexit = 34,
  strict_nameref = 35,
  strict_word_eval = 36,
  strict_tilde = 37,
  strict_glob = 38,
  parse_at = 39,
  parse_proc = 40,
  parse_func = 41,
  parse_brace = 42,
  parse_bracket = 43,
  parse_equals = 44,
  parse_paren = 45,
  parse_ysh_string = 46,
  parse_triple_quote = 47,
  simple_word_eval = 48,
  dashglob = 49,
  command_sub_errexit = 50,
  process_sub_fail = 51,
  xtrace_rich = 52,
  xtrace_details = 53,
  sigpipe_status_ok = 54,
  redefine_proc_func = 55,
  parse_at_all = 56,
  parse_backslash = 57,
  parse_backticks = 58,
  parse_dollar = 59,
  parse_ignored = 60,
  parse_sh_arith = 61,
  parse_dparen = 62,
  parse_dbracket = 63,
  parse_bare_word = 64,
  simple_echo = 65,
  simple_eval_builtin = 66,
  simple_test_builtin = 67,
  expand_aliases = 68,
  lastpipe = 69,
  progcomp = 70,
  histappend = 71,
  hostcomplete = 72,
  cmdhist = 73,
  assoc_expand_once = 74,
  autocd = 75,
  cdable_vars = 76,
  cdspell = 77,
  checkhash = 78,
  checkjobs = 79,
  checkwinsize = 80,
  complete_fullquote = 81,
  direxpand = 82,
  dirspell = 83,
  dotglob = 84,
  execfail = 85,
  extdebug = 86,
  extquote = 87,
  force_fignore = 88,
  globasciiranges = 89,
  globstar = 90,
  gnu_errfmt = 91,
  histreedit = 92,
  histverify = 93,
  huponexit = 94,
  interactive_comments = 95,
  lithist = 96,
  localvar_inherit = 97,
  localvar_unset = 98,
  login_shell = 99,
  mailwarn = 100,
  no_empty_cmd_completion = 101,
  nocaseglob = 102,
  progcomp_alias = 103,
  promptvars = 104,
  restricted_shell = 105,
  shift_verbose = 106,
  sourcepath = 107,
  xpg_echo = 108,
  ARRAY_SIZE = 109,
  };
};

typedef int option_t;

ASDL_NAMES builtin_i {
  enum no_name {
  colon = 1,
  dot = 2,
  exec_ = 3,
  eval = 4,
  set = 5,
  shift = 6,
  times = 7,
  trap = 8,
  unset = 9,
  readonly = 10,
  local = 11,
  declare = 12,
  typeset = 13,
  export_ = 14,
  true_ = 15,
  false_ = 16,
  try_ = 17,
  read = 18,
  echo = 19,
  printf = 20,
  mapfile = 21,
  readarray = 22,
  cd = 23,
  pushd = 24,
  popd = 25,
  dirs = 26,
  pwd = 27,
  source = 28,
  umask = 29,
  ulimit = 30,
  wait = 31,
  jobs = 32,
  fg = 33,
  bg = 34,
  shopt = 35,
  complete = 36,
  compgen = 37,
  compopt = 38,
  compadjust = 39,
  compexport = 40,
  getopts = 41,
  builtin = 42,
  command = 43,
  type = 44,
  hash = 45,
  help = 46,
  history = 47,
  alias = 48,
  unalias = 49,
  bind = 50,
  append = 51,
  write = 52,
  json = 53,
  json8 = 54,
  pp = 55,
  hay = 56,
  haynode = 57,
  module = 58,
  use = 59,
  error = 60,
  failed = 61,
  fork = 62,
  forkwait = 63,
  fopen = 64,
  shvar = 65,
  ctx = 66,
  runproc = 67,
  boolstatus = 68,
  test = 69,
  bracket = 70,
  push_registers = 71,
  is_main = 72,
  cat = 73,
  ARRAY_SIZE = 74,
  };
};

typedef int builtin_t;


}  // namespace option_asdl

#endif  // OPTION_ASDL_H
